Page MenuHomePhabricator

rust-discovery: optionally don't randomize at all, for tests
ClosedPublic

Authored by gracinet on May 22 2019, 12:50 PM.

Details

Summary

As seen from Python, this is a new randomize kwarg in init of the
discovery object. It replaces random picking by some arbitrary yet
deterministic strategy.

This is the same as what test-setdiscovery.t does, with the added
benefit to be usable both in Python and Rust implementations.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

gracinet created this revision.May 22 2019, 12:50 PM
kevincox accepted this revision.May 23 2019, 11:15 AM
gracinet updated this revision to Diff 15484.Jun 13 2019, 9:32 AM
Alphare updated this revision to Diff 15936.Jul 17 2019, 12:30 PM
Alphare updated this revision to Diff 16014.Tue, Jul 23, 5:15 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.